﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using System.Windows.Annotations;
using System.Windows.Annotations.Storage;

namespace FlowDocumentPresentation.Topics.Theory
{
	/// <summary>
	/// Interaction logic for FrameworkContentElement.xaml
	/// </summary>
	public partial class AdornerIntro : Page
	{
		public AdornerIntro()
		{
			InitializeComponent();
			this.Unloaded += new RoutedEventHandler(AdornerIntro_Unloaded);
		}
		static int fileCount = 0;



		void AdornerIntro_Initialized(object sender, EventArgs e)
		{
			AnnotationService service = AnnotationService.GetService(fDocreader);
			if (service == null)
			{
				fileCount++;
				stream = new FileStream("myStorage"+fileCount+".xml", FileMode.OpenOrCreate);
				service = new AnnotationService(fDocreader);
				AnnotationStore store = new XmlStreamStore(stream);
				service.Enable(store);
			}
		}

		void AdornerIntro_Loaded(object sender, RoutedEventArgs e)
		{
			// Enable and load annotations
		}

		Stream stream;


		void AdornerIntro_Unloaded(object sender, RoutedEventArgs e)
		{
			// Disable and save annotations
			AnnotationService service = AnnotationService.GetService(fDocreader);
			if (service != null && service.IsEnabled)
			{
				service.Store.Flush();
				service.Disable();
				stream.Close();
			}
		}
	}
}
