﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Xps.Packaging;
using System.IO.Packaging;
using System.IO;

namespace FlowDocumentPresentation.Topics.Examples
{
    /// <summary>
    /// Interaction logic for FlowDocReportSample.xaml
    /// </summary>
    public partial class FlowDocReportSample : Page
    {
        public FlowDocReportSample()
        {
            InitializeComponent();
            this.MainGrid.Loaded += new RoutedEventHandler(FlowDocReportSample_Loaded);
        }
        XpsDocument xpsDocument = null;
        void FlowDocReportSample_Loaded(object sender, RoutedEventArgs e)
        {
            string filename = @"testreport.xps";
			if (!File.Exists(filename))
			{
				File.WriteAllBytes(@"testreport.xps", Properties.Resources.testreport);
			}
            //Package container = Package.Open(@"Topics\Examples\testreport.xps", FileMode.Open);
            //MemoryStream memStream = new MemoryStream(Properties.Resources.testreport);
            //Package container = Package.Open(memStream);
            //xpsDocument = new XpsDocument(container);
            xpsDocument = new XpsDocument(filename, FileAccess.Read);
            // For optimal performance the XPS document should be remain
            // open while its FixedDocumentSequence is active in the
            // DocumentViewer control.  When the XPS document is opened
            // with the XpsDocument constructor ("new XpsDocument" above) a
            // reference to it is automatically added to the PackageStore.
            // The PackStore is a static application collection that contains
            // a reference to each open package along the package's URI as
            // a key.  Adding a reference of the XPS package to the
            // PackageStore keeps the package open and avoids repeated opens
            // and closes while the document content is being accessed by
            // DocumentViewer control.  The XpsDocument.Dispose() method 
            // automatically removes the package from the PackageStore after
            // the document is removed from the DocumentViewer control and
            // is no longer in use.
            this.docViewer.Document = xpsDocument.GetFixedDocumentSequence();
        }
    }
}
