﻿//************************************************************************************************
// Copyright © 2009 Waters Corporation. All Rights Reserved.
//
// Project:	Waters.UI.ProteinControl
// File: 	FindOptions.cs 
//
// Description: Class FindOptions
//
//************************************************************************************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlowDocumentPresentation.Topics.Writer
{
	/// <summary>
	/// FindOptions
	/// </summary>
	[Flags]
	internal enum FindOptions
	{
        /// <summary>
        /// None. 
        /// </summary>
        None                = 0x00000000,
        /// <summary>
        /// Match case. 
        /// </summary>
        MatchCase           = 0x00000001, 
        /// <summary> 
        /// Searches for last occurance.
        /// </summary> 
        FindInReverse       = 0x00000002,
        /// <summary>
        /// Matches the entire word.
        /// </summary> 
        FindWholeWordsOnly  = 0x00000004,
        /// <summary> 
        /// Matches Bidi diacritics. 
        /// </summary>
        MatchDiacritics     = 0x00000008, 
        /// <summary>
        /// Matches Arabic kashida.
        /// </summary>
        MatchKashida        = 0x00000010, 
        /// <summary>
        /// Matches Arabic AlefHamza. 
        /// </summary> 
        MatchAlefHamza      = 0x00000020
	}
}
